.page-login {
    width: 100vw;
    height: 100vh;
}

.page-login-box {
  height: 50%;
}

.page-login .page-login-box {
    padding: 20px;
}

.page-login .page-login-primary {
  background-color: var(--color-primary);
  background-image: url(../../assets/images/background-port.svg);
  background-position: center;
  background-size: 80vw;
  background-repeat: no-repeat;
  justify-content: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--color-text-in-primary);
}

.page-login .page-login-primary svg {
  height: 5rem;
  width: auto;
}

.page-login .page-login-primary h2 {
  font-weight: 500;
  font-size: 1.5rem;
  width: 150px;
}

.page-login .page-login-secondary {
  background-color: var(--color-background);
}

.page-login .page-login-secondary .page-login-form-header {
  justify-content: space-between;
  display: flex;
  padding: 2rem 2.4rem;
  align-items: center;
}

.page-login .page-login-secondary .page-login-form-header span {
  font: 700 2.5rem Poppins;
  color: var(--color-text-title);
}

.page-login .page-login-secondary .page-login-form-header a {
  text-decoration: none;
  font-size: 1.3rem;
  color: var(--color-primary);
}

.page-login .page-login-secondary fieldset {
  border: 0;
}

.page-login .page-login-secondary .page-login-extends {
  justify-content: space-between;
  display: flex;
  padding: 2rem 0;
  margin: auto;
  color: var(--color-text-complement);
  font-size: 1rem;
}
.page-login .page-login-secondary .page-login-extends a,
.page-login .page-login-secondary .page-login-extends input {
  color: var(--color-text-complement);
}

.page-login .page-login-secondary .page-login-extends a {
  text-decoration: none;
  font-size: 1.3rem;
}

.page-login-box form {
  padding: 0 2.4rem;
}

.page-login-box form button {
  width: 100%;
  height: 5.6rem;
  background: var(--color-secondary);
  color: var(--color-button-text);
  border: 0;
  border-radius: 0.8rem;
  cursor: pointer;
  font: 700 1.6rem Archivo;
}

.input-block .icon {
  top: 3rem;
}

.page-login-box form button:disabled {
  background-color: var(--color-disabled);
  cursor: default;
  color: var(--color-text-complement);
}

@media(min-width: 1000px) {
  .page-login-box {
    height: 100%;
    width: 50%;
    position: fixed;
  }

  .page-login-primary{
    left: 0;
  }

  .page-login .page-login-primary svg {
    height: 10rem;
  }

  .page-login .page-login-primary h2 {
    font-size: 2.5rem;
    width: 250px;
  }

  .page-login .page-login-primary {
    background-image: url(../../assets/images/background-land.svg);
  }

  .page-login-secondary{
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}